--- a/aptitude.spec	2023-11-13 06:07:53.449184639 +0300
+++ b/aptitude.spec	2023-11-13 06:07:53.469184409 +0300
@@ -37,6 +37,7 @@
 #BuildArch: noarch
 Conflicts: %name < %version-%release
 Conflicts: %name > %version-%release
+BuildArch: noarch
 
 %description doc
 aptitude is a terminal-based apt frontend.  This package contains
--- a/arrow.spec	2023-11-13 06:07:53.528183734 +0300
+++ b/arrow.spec	2023-11-13 06:07:53.606182842 +0300
@@ -248,6 +248,7 @@
 %package glib-doc
 Summary: Documentation for Apache Arrow GLib
 Group: Development/Documentation
+BuildArch: noarch
 
 %description glib-doc
 Documentation for Apache Arrow GLib.
--- a/blender.spec	2023-11-13 06:07:54.752169732 +0300
+++ b/blender.spec	2023-11-13 06:07:54.778169434 +0300
@@ -152,6 +152,7 @@
 Summary: Documentation for Blender
 Group: Documentation
 Requires: %name = %EVR
+BuildArch: noarch
 
 %description doc
 Fully integrated creation suite, offering a broad range of essential
--- a/cegui.spec	2023-11-13 06:07:55.319163245 +0300
+++ b/cegui.spec	2023-11-13 06:07:55.342162983 +0300
@@ -79,6 +79,7 @@
 Group: Documentation
 Summary:        API documentation for cegui
 Requires:       cegui = %{version}-%{release}
+BuildArch: noarch
 
 %description devel-doc
 API and Falagard skinning documentation for cegui
--- a/dart.spec	2023-11-13 06:07:56.060154768 +0300
+++ b/dart.spec	2023-11-13 06:07:56.071154641 +0300
@@ -62,6 +62,7 @@
 %package docs
 Summary: Documentation for %name
 Group: Documentation
+BuildArch: noarch
 
 %description docs
 %summary
--- a/dragonfly-reverb.spec	2023-11-13 06:07:57.491138398 +0300
+++ b/dragonfly-reverb.spec	2023-11-13 06:07:57.499138306 +0300
@@ -57,6 +57,7 @@
 %package docs
 Group: Documentation
 Summary: The documentation for Dragonfly Reverb
+BuildArch: noarch
 
 %description docs
 %summary
--- a/extlinux.spec	2023-11-13 06:07:57.916133534 +0300
+++ b/extlinux.spec	2023-11-13 06:07:57.925133432 +0300
@@ -42,6 +42,7 @@
 %package doc
 Summary: Extlinux documentation.
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 Extlinux documentation.
--- a/fontforge.spec	2023-11-13 06:07:58.286129303 +0300
+++ b/fontforge.spec	2023-11-13 06:07:58.296129188 +0300
@@ -64,6 +64,7 @@
 %package docs
 Summary: FontForge documentations
 Group: Publishing
+BuildArch: noarch
 
 %description docs
 FontForge documentations
--- a/fpc.spec	2023-11-13 06:07:58.587125859 +0300
+++ b/fpc.spec	2023-11-13 06:07:58.649125149 +0300
@@ -998,6 +998,7 @@
 %package docs
 Group: Documentation
 Summary: Free Pascal Compiler - Documentation
+BuildArch: noarch
 
 %description docs
 This package provides documentation for the Free Pascal Compiler in HTML
--- a/ghc.spec	2023-11-13 06:08:01.597091424 +0300
+++ b/ghc.spec	2023-11-13 06:08:01.620091161 +0300
@@ -144,6 +144,7 @@
 %package doc
 Summary: Documentation for GHC
 Group: Development/Haskell
+BuildArch: noarch
 
 %description doc
 Preformatted documentation for the Glasgow Haskell Compiler
--- a/itpp.spec	2023-11-13 06:08:02.577080213 +0300
+++ b/itpp.spec	2023-11-13 06:08:02.589080074 +0300
@@ -75,6 +75,7 @@
 Summary: Documentation for %name
 Group: Documentation
 Requires: %libname = %version
+BuildArch: noarch
 
 %description doc
 This package contains the documentation for the IT++ as html and man pages.
--- a/java3d.spec	2023-11-13 06:08:03.715067194 +0300
+++ b/java3d.spec	2023-11-13 06:08:03.733066986 +0300
@@ -78,6 +78,7 @@
 Group:		Development/Java
 Requires:	%{name} = %{version}-%{release}
 Requires:	javapackages-tools
+BuildArch: noarch
 
 %description examples
 The Java 3D API.
--- a/kbd.spec	2023-11-13 06:08:04.113062640 +0300
+++ b/kbd.spec	2023-11-13 06:08:04.144062285 +0300
@@ -74,6 +74,7 @@
 %package -n %name-docs
 Group: Documentation
 Summary: Documentation for kbd
+BuildArch: noarch
 
 %description -n %name-docs
 Documentation for kbd
--- a/liberasurecode.spec	2023-11-13 06:08:15.002938055 +0300
+++ b/liberasurecode.spec	2023-11-13 06:08:15.008937988 +0300
@@ -21,6 +21,7 @@
 %package doc
 Summary: Documentation for %name
 Group: System/Libraries
+BuildArch: noarch
 
 %description doc
 The documentation for %name.
--- a/libltc.spec	2023-11-13 06:08:15.517932164 +0300
+++ b/libltc.spec	2023-11-13 06:08:15.524932083 +0300
@@ -38,6 +38,7 @@
 %package docs
 Summary: Developer's documentation for %name
 Group:   Development/Documentation
+BuildArch: noarch
 
 %description docs
 This package contains the documentation for %name.
--- a/libopencv.spec	2023-11-13 06:08:15.673930380 +0300
+++ b/libopencv.spec	2023-11-13 06:08:15.713929921 +0300
@@ -254,6 +254,7 @@
 Conflicts: lib%{bname}3.4-examples < %EVR
 Obsoletes: lib%{bname}3.4-examples < %EVR
 AutoReq:no
+BuildArch: noarch
 
 %description examples
 %Name means Intel(R) Open Source Computer Vision Library. It is a
--- a/libopenjpeg2.0.spec	2023-11-13 06:08:15.777929190 +0300
+++ b/libopenjpeg2.0.spec	2023-11-13 06:08:15.788929064 +0300
@@ -61,6 +61,7 @@
 Group: Development/Documentation
 #BuildArch: noarch
 Conflicts: %name < %version
+BuildArch: noarch
 
 %description devel-doc
 The %name-devel-doc package includes documentation necessary for
--- a/tclap.spec	2023-11-13 06:08:16.107925416 +0300
+++ b/tclap.spec	2023-11-13 06:08:16.115925323 +0300
@@ -37,6 +37,7 @@
 %package doc
 Summary: Documentation files for %name
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 TCLAP is a small, flexible library that provides a simple interface for
--- a/libtracefs.spec	2023-11-13 06:08:16.163924774 +0300
+++ b/libtracefs.spec	2023-11-13 06:08:16.170924694 +0300
@@ -46,6 +46,7 @@
 %package doc
 Summary: %summary (Documentation)
 Group: Development/Documentation
+BuildArch: noarch
 
 %description doc
 %summary.
--- a/mmg.spec	2023-11-13 06:08:17.267912144 +0300
+++ b/mmg.spec	2023-11-13 06:08:17.289911893 +0300
@@ -153,6 +153,7 @@
 Summary:        Development documentation for mmg3d
 Group:          Development/C
 Requires:       mmg3d = %EVR
+BuildArch: noarch
 
 %description -n mmg3d-devel-doc
 The mmg3d-devel-doc package contains the documentation for developing
--- a/opam.spec	2023-11-13 06:08:23.957835610 +0300
+++ b/opam.spec	2023-11-13 06:08:23.966835505 +0300
@@ -55,6 +55,7 @@
 Summary: Documentation files for %name
 Group: Documentation
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description doc
 The %name-doc package contains documentation for using %name.
--- a/openFPGALoader.spec	2023-11-13 06:08:24.067834349 +0300
+++ b/openFPGALoader.spec	2023-11-13 06:08:24.074834272 +0300
@@ -38,6 +38,7 @@
 %package doc
 Summary: Documentation for %name
 Group:   Documentation
+BuildArch: noarch
 
 %description doc
 %summary.
--- a/openpace.spec	2023-11-13 06:08:24.330831342 +0300
+++ b/openpace.spec	2023-11-13 06:08:24.338831251 +0300
@@ -58,6 +58,7 @@
 %package docs
 Summary: Library for %name
 Group: Development/Documentation
+BuildArch: noarch
 
 %description docs
 %summary
--- a/openqa.spec	2023-11-13 06:08:24.396830587 +0300
+++ b/openqa.spec	2023-11-13 06:08:24.438830106 +0300
@@ -160,6 +160,7 @@
 %package doc
 Summary: The openQA documentation
 Group: Development/Tools
+BuildArch: noarch
 %description doc
 Documentation material covering installation, configuration, basic test
 writing, etc., covering both openQA and the os-autoinst test engine.
--- a/openshadinglanguage.spec	2023-11-13 06:08:24.578828506 +0300
+++ b/openshadinglanguage.spec	2023-11-13 06:08:24.596828298 +0300
@@ -79,6 +79,7 @@
 %package doc
 Summary: Documentation for OpenShadingLanguage
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 Open Shading Language (OSL) is a small but rich language
--- a/partio.spec	2023-11-13 06:08:25.699815680 +0300
+++ b/partio.spec	2023-11-13 06:08:25.713815519 +0300
@@ -58,6 +58,7 @@
 %package doc
 Summary: A library for particle IO and manipulation
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 C++ (with python bindings) library for easily reading/writing/manipulating
--- a/pki-core.spec	2023-11-13 06:08:26.750803656 +0300
+++ b/pki-core.spec	2023-11-13 06:08:26.813802936 +0300
@@ -214,6 +214,7 @@
 Summary: Dogtag PKI CA Package
 Group: System/Servers
 Requires: pki-server = %EVR
+BuildArch: noarch
 
 %description -n pki-ca
 The Certificate Authority (CA) is a required PKI subsystem which issues,
--- a/pki-core.spec	2023-11-13 06:08:26.813802936 +0300
+++ b/pki-core.spec	2023-11-13 06:08:26.843802593 +0300
@@ -361,6 +361,7 @@
 Group: Networking/Other
 Provides: pki-server-theme = %EVR
 Obsoletes: pki-server-theme < %EVR
+BuildArch: noarch
 
 %description -n dogtag-pki-server-theme
 This PKI Server Theme Package contains textual and graphical user
--- a/breeze-gtk.spec	2023-11-13 06:08:27.171798840 +0300
+++ b/breeze-gtk.spec	2023-11-13 06:08:27.178798759 +0300
@@ -36,6 +36,7 @@
 Provides: gtk2-theme-breeze = %version-%release
 Provides: gtk3-theme-breeze = %version-%release
 Provides: gtk4-theme-breeze = %version-%release
+BuildArch: noarch
 %description -n gtk-theme-breeze
 %{description}
 
--- a/breeze-gtk.spec	2023-11-13 06:08:27.236798096 +0300
+++ b/breeze-gtk.spec	2023-11-13 06:08:27.243798016 +0300
@@ -29,6 +29,7 @@
 Provides: gtk2-theme-breeze = %version-%release
 Provides: gtk3-theme-breeze = %version-%release
 Provides: gtk4-theme-breeze = %version-%release
+BuildArch: noarch
 %description -n gtk-theme-breeze-education
 %{description}
 
--- a/pycrypto.spec	2023-11-13 06:08:30.055765846 +0300
+++ b/pycrypto.spec	2023-11-13 06:08:30.069765687 +0300
@@ -54,6 +54,7 @@
 %package docs
 Summary: Documentation for %oname
 Group: Development/Documentation
+BuildArch: noarch
 #BuildArch: noarch
 
 %description docs
--- a/svg.charts.spec	2023-11-13 06:08:30.537760332 +0300
+++ b/svg.charts.spec	2023-11-13 06:08:30.547760218 +0300
@@ -62,6 +62,7 @@
 %package -n python3-module-%oname-doc
 Summary: Doc files of %oname
 Group: Development/Python3
+BuildArch: noarch
 
 %description -n python3-module-%oname-doc
 Doc files of %oname.
--- a/MaxMindDB.spec	2023-11-13 06:08:30.668758834 +0300
+++ b/MaxMindDB.spec	2023-11-13 06:08:30.674758765 +0300
@@ -28,6 +28,7 @@
 %package doc
 Summary: Documentation for %oname
 Group:   Development/Documentation
+BuildArch: noarch
 
 %description doc
 This package provides the documentation for %oname.
--- a/python-prctl.spec	2023-11-13 06:08:30.829756991 +0300
+++ b/python-prctl.spec	2023-11-13 06:08:30.835756923 +0300
@@ -30,6 +30,7 @@
 %package docs
 Summary: Documentation for %oname
 Group: Development/Documentation
+BuildArch: noarch
 
 %description docs
 Control process attributes through prctl
--- a/zope.hookable.spec	2023-11-13 06:08:30.931755825 +0300
+++ b/zope.hookable.spec	2023-11-13 06:08:30.941755710 +0300
@@ -31,6 +31,7 @@
 %package docs
 Summary: Documentation for %oname
 Group: Development/Documentation
+BuildArch: noarch
 
 %description docs
 %descr
--- a/zope.i18nmessageid.spec	2023-11-13 06:08:31.007754954 +0300
+++ b/zope.i18nmessageid.spec	2023-11-13 06:08:31.015754863 +0300
@@ -32,6 +32,7 @@
 %package docs
 Summary: Documentation for %oname
 Group: Development/Documentation
+BuildArch: noarch
 
 %description docs
 %descr
--- a/qt-creator.spec	2023-11-13 06:08:31.118753685 +0300
+++ b/qt-creator.spec	2023-11-13 06:08:31.135753491 +0300
@@ -111,6 +111,7 @@
 %endif
 Requires: qt5-base-doc
 Requires: qt5-tools
+BuildArch: noarch
 
 %description doc
 Documentation for %name
--- a/qtfeedback.spec	2023-11-13 06:08:31.635747771 +0300
+++ b/qtfeedback.spec	2023-11-13 06:08:31.644747667 +0300
@@ -41,6 +41,7 @@
 Summary: Document for developing apps which will use Qt5 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt5 %qt_module
 
--- a/qt3d.spec	2023-11-13 06:08:32.585736902 +0300
+++ b/qt3d.spec	2023-11-13 06:08:32.604736685 +0300
@@ -51,6 +51,7 @@
 Summary: Document for developing apps which will use Qt6 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt6 %qt_module
 
--- a/qt5compat.spec	2023-11-13 06:08:32.658736068 +0300
+++ b/qt5compat.spec	2023-11-13 06:08:32.668735953 +0300
@@ -49,6 +49,7 @@
 Summary: Document for developing apps which will use Qt6 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt6 %qt_module
 
--- a/qtcharts.spec	2023-11-13 06:08:32.725735300 +0300
+++ b/qtcharts.spec	2023-11-13 06:08:32.735735187 +0300
@@ -48,6 +48,7 @@
 Summary: Document for developing apps which will use Qt6 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt6 %qt_module
 
--- a/qtconnectivity.spec	2023-11-13 06:08:32.788734580 +0300
+++ b/qtconnectivity.spec	2023-11-13 06:08:32.797734476 +0300
@@ -46,6 +46,7 @@
 Summary: Document for developing apps which will use Qt6 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt6 %qt_module
 
--- a/qtnetworkauth.spec	2023-11-13 06:08:32.850733870 +0300
+++ b/qtnetworkauth.spec	2023-11-13 06:08:32.858733779 +0300
@@ -39,6 +39,7 @@
 Summary: Document for developing apps which will use Qt6 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt6 %qt_module
 
--- a/qtpositioning.spec	2023-11-13 06:08:32.912733162 +0300
+++ b/qtpositioning.spec	2023-11-13 06:08:32.923733036 +0300
@@ -54,6 +54,7 @@
 Summary: Document for developing apps which will use Qt6 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt6 %qt_module
 
--- a/qtscxml.spec	2023-11-13 06:08:32.972732476 +0300
+++ b/qtscxml.spec	2023-11-13 06:08:32.983732348 +0300
@@ -47,6 +47,7 @@
 Summary: Document for developing apps which will use Qt6 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt6 %qt_module
 
--- a/qtserialport.spec	2023-11-13 06:08:33.033731776 +0300
+++ b/qtserialport.spec	2023-11-13 06:08:33.041731685 +0300
@@ -49,6 +49,7 @@
 Summary: Document for developing apps which will use Qt6 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt6 %qt_module
 
--- a/qtsvg.spec	2023-11-13 06:08:33.103730976 +0300
+++ b/qtsvg.spec	2023-11-13 06:08:33.114730851 +0300
@@ -50,6 +50,7 @@
 Summary: Document for developing apps which will use Qt6 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt6 %qt_module
 
--- a/qtvirtualkeyboard.spec	2023-11-13 06:08:33.170730210 +0300
+++ b/qtvirtualkeyboard.spec	2023-11-13 06:08:33.182730072 +0300
@@ -53,6 +53,7 @@
 Summary: Document for developing apps which will use Qt6 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt6 %qt_module
 
--- a/qtwebsockets.spec	2023-11-13 06:08:33.235729467 +0300
+++ b/qtwebsockets.spec	2023-11-13 06:08:33.244729364 +0300
@@ -52,6 +52,7 @@
 Summary: Document for developing apps which will use Qt6 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt6 %qt_module
 
--- a/qxmpp-qt5.spec	2023-11-13 06:08:34.174718723 +0300
+++ b/qxmpp-qt5.spec	2023-11-13 06:08:34.185718597 +0300
@@ -59,6 +59,7 @@
 Group: Development/KDE and QT
 Conflicts: lib%name < %version
 Conflicts: lib%_name
+BuildArch: noarch
 
 %description doc
 QXmpp is a cross-platform C++ XMPP client library. It is based on Qt and
--- a/rust.spec	2023-11-13 06:08:34.795711619 +0300
+++ b/rust.spec	2023-11-13 06:08:34.826711266 +0300
@@ -130,6 +130,7 @@
 %package doc
 Summary: Documentation for Rust
 Group: Development/Documentation
+BuildArch: noarch
 # NOT BuildArch: noarch
 # Note, while docs are mostly noarch, some things do vary by target_arch.
 
--- a/simbody.spec	2023-11-13 06:08:35.381704916 +0300
+++ b/simbody.spec	2023-11-13 06:08:35.390704813 +0300
@@ -52,6 +52,7 @@
 %package docs
 Summary: Documentation for %name
 Group: Development/Documentation
+BuildArch: noarch
 
 %description docs
 %summary
--- a/swi-prolog.spec	2023-11-13 06:08:36.521691873 +0300
+++ b/swi-prolog.spec	2023-11-13 06:08:36.542691634 +0300
@@ -82,6 +82,7 @@
 Summary: Documentation for %name
 Requires: %name-nox = %version-%release
 AutoReqProv: no
+BuildArch: noarch
 
 %description doc
 Documentation for SWI-Prolog.
--- a/virtualbox.spec	2023-11-13 06:08:38.794665870 +0300
+++ b/virtualbox.spec	2023-11-13 06:08:38.845665287 +0300
@@ -355,6 +355,7 @@
 Summary: VirtualBox documentation
 Group: Documentation
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description doc
 This package contains VirtualBox User Manual.
--- a/vtk.spec	2023-11-13 06:08:39.045662998 +0300
+++ b/vtk.spec	2023-11-13 06:08:39.084662552 +0300
@@ -260,6 +260,7 @@
 Requires: %name = %EVR
 Requires: %name-data = %EVR
 %add_python3_req_skip numeric
+BuildArch: noarch
 
 %description examples
 VTK is an open-source software system for image processing, 3D graphics, volume
--- a/vtk.spec	2023-11-13 06:08:39.084662552 +0300
+++ b/vtk.spec	2023-11-13 06:08:39.106662301 +0300
@@ -178,6 +178,7 @@
 %package doc
 Summary: Documentation for The Visualization Toolkit (VTK)
 Group: Development/Documentation
+BuildArch: noarch
 
 %description doc
 VTK is an open-source software system for image processing, 3D graphics, volume
--- a/wireplumber.spec	2023-11-13 06:08:39.174661522 +0300
+++ b/wireplumber.spec	2023-11-13 06:08:39.189661351 +0300
@@ -46,6 +46,7 @@
 %package doc
 Summary: docs for the client library for WirePlumber
 Group: Documentation
+BuildArch: noarch
 
 %package -n lib%name
 Summary: the client library for WirePlumber
--- a/xen.spec	2023-11-13 06:08:39.255660596 +0300
+++ b/xen.spec	2023-11-13 06:08:39.309659979 +0300
@@ -246,6 +246,7 @@
 Summary: Xen documentation
 Group: Documentation
 Requires: xen-licenses
+BuildArch: noarch
 
 %description doc
 The Xen Project hypervisor is an open-source type-1 or baremetal
--- a/zinnia.spec	2023-11-13 06:08:39.635656249 +0300
+++ b/zinnia.spec	2023-11-13 06:08:39.654656030 +0300
@@ -117,6 +117,7 @@
 Requires:       libzinnia0 = %EVR
 Provides:       zinnia-tomoe = %{version}-%{release}
 Obsoletes:      zinnia-tomoe < 0.06-19
+BuildArch: noarch
 
 %description	tomoe-ja
 This package contains Japanese tomoe model files for %{name}.
